Introduction

NOMENCLATURE

Généralités

ISIS permet de générer et de configurer le rapport de nomenclature de tous les composants utilisés dans le schéma et de leurs propriétés. Un affichage mis à jour en temps réel est disponible avec une visusalisation des données qui vous permet d'affecter rapidement des valeurs aux composants du projet.

La nomenclature de Proteus V8 est un des modules principaux du logiciel, ce qui signifie qu'il s'ouvre dans un onglet dédié de Proteus. Vous pouvez lancer ce module grâce à l'icône "Nomenclature" de la barre d'outils.

Comme pour tous les modules principaux, vous pouvez disposer la nomenclature dans une fenêtre dédiée. Pour cela, glissez l'onglet dans une zone libre (un second écran par exemple) ou double-cliquez sur l'onglet pour lancer une autre fenêtre sur le même écran. Les données de la nomenclature seront automatiquement mises à jour en relation avec les placements ou les modifications du schéma.

Lorsque vous chargez un schéma, vous obtenez une vue HTML du contenu. La partie gauche contient la configuration et les options de sortie de la nomenclature tandis que la partie principale commute entre une vue HTML et un mode d'édition des propriétés.

Si vous êtes satisfait de l'information par défaut, vous pourrez générer le rapport. Si vous souhaitez ajouter de l'information ou modifier le style, il faudra éditer la nomenclature.

Cacher le panneau de gauche du module Nomenclature s'avère parfois utile. Vous pouvez le faire en utilisant l'icône 'glisser' qui se trouve en haut du panneau, comme montré ci-dessous.

En plus de ce document, vous pouvez visionner un tutorial complet en vidéo en cliquant sur le lien suivant: Video

Edition

La nomenclature de Proteus est très flexible afin de répondre à tous vos besoins. Vous pouvez modifier les valeurs à afficher ou leur apparence et le style du rapport.

Edition de données

L'ajout d'information au rapport (coût, RoHS, fournisseurs, etc.) est simple à réaliser. Vous pouvez également restructurer le contenu du rapport en groupes logiques de votre choix.

  • Si vous souhaitez que le rapport contienne plus d'information, alors vous devrez en premier lieu ajouter un champ, puis affecter des données au composants.

  • Si vous souhaitez restructurer les regroupements du rapport, vous devrez éditer les catégories.

Edition des styles

La Nomenclature dans Proteus est trés flexible. Comme les deux options de sorties HTML et PDF peuvent contenir des informations de style, vous pourriez souhaiter modifier l'apparence du rapport pour qu'il corresponde aux documents types de votre établissement. Les formats de sortie sont tous générés à partir de la vue HTML temps réel, grâce à l'opération édition du style des feuilles.

Nous recommandons d'examiner les nombreux exemples pratiques dans Contenu de Nomenclature et Style de Nomenclature.

Sauvegarde et chargement

Le module de nomenclature admet les gabarits utilisateurs qui permettent de sauvegarder ou de charger vos propres configuration. Le gabarit contient:

  • Toutes les informations sur le style et la présentation.

  • L'affichage et l'ordre des catégories.

  • Les champs affichés de la nomenclature.

Le gabarit sauvegarde les champs affichés mais c'est le schéma qui fournira les données concrètes des champs. Si vous souhaitez utiliser un gabarit pour vos projets futurs, vous devrez certainement ajouter de l'information pour les composants de votre nouveau projet. La façon la plus simple de le faire est d'utiliser l'éditeur de propriétés.

Sauvegarder un gabarit

La sauvegarde du gabarit, qui pourrait être utilisé dans vos projets futurs, se fait par un clic sur le bouton 'Enregistrer' placé en haut et à gauche du module de la nomenclature. Le gabarit courant sera sauvegardé.

Le bouton 'Enregistrer sous' permet d'indiquer un nouveau nom de gabarit qui apparaîtra dans une liste déroulante de vos projets futurs.

C'est le gabarit par défaut qui est toujours chargé pour un nouveau projet, ce qui vous permet de mémoriser votre gabarit type en tant que gabarit par défaut afin qu'il soit automatiquement chargé lorsque vous lancez un nouveau projet.

Charger un gabarit

Si vous souhaitez charger un gabarit quelconque pour votre projet courant, vous pouvez le sélectionner dans la liste déroulante du module Nomenclature.


Générer le rapport de nomenclature

GENERER LE RAPPORT DE NOMENCLATURE

Introduction

La génération du rapport de nomenclature se fait à l'aide des icônes du menu 'Générer' qui se situe dans la partie supérieure du module d'édition de la nomenclature.

Options de génération du rapport de nomenclature

Il existe deux formats de sortie disponibles (HTML & PDF) représentés par le visionneur temps réel personnalisé et deux formats de données (Excel & CSV) qui ne contiennent que des lignes d'information. Les modifications apportées aux polices, couleurs, entête et bas de page ainsi qu'au logo de la société s'appliquent uniquement aux formats de présentation. Ces points sont présentés ci-dessous.

Sortie PDF

La sortie PDF est un format de présentation très utilisé qui peut être directement générer à partir du module 'Nomenclaturel'. Comme dans le cas de la sortie HTML, les images et les styles sont enfouis dans le document PDF, c'est pourquoi il est préférable de personnaliser vos styles avant de générer le rapport.

Si vous avez créé un document de notes de projets de type notes de nomenclature, vous pouvez également ajouter son contenu dans votre fichier PDF, ce qui vous permet d'inclure une information plus détaillée à votre rapport.

Ouverture dans Excel

Si Microsoft™ Excel est installé sur votre ordinateur, vous pourrez exporter la nomenclature dans une feuille Excel et la modifier si nécessaire. Vous pourrez ensuite enregistrer le document final sur disque.

Sortie CSV

Le rapport de nomenclature sera un fichier texte ASCII qui répond au format CSV (Comma Separated Variable/Variables séparées pas des virgules). C'est un format populaire utilisé par la plupart des tableurs tel que Microsoft™ Excel.

La première ligne contient le nom des champs séparés par des virgules. Les lignes suivantes du fichier contiennent les données de la nomenclature (quantités, références, valeurs, etc.) séparées par des virgules (toute information qui contient une virgule sera automatiquement incluse dans des guillemets).

Le rapport admet le regroupement des données par ligne, par exemple:

Resistors,2,"R3,R15",18k,etc.

Générer une sortie CSV

Le fait de cocher la case 'CSV' générera une sortie plus détaillée. La principale différence avec un rapport CSV standard réside dans les composants regroupés qui apparaîtront séparés.

Resistors,"R3",18k Resistors,"R15",18k

Sortie ASCII

Vous pouvez également directement générer votre rapport de nomenclature en format ASCII.

Pour cela, vous devez configurer les colonnes du rapport directement dans la boite de dialogue 'Configuration avancée' du menue 'Générer'. Vous pourrez ainsi configurer la largeur des colonnes pour chaque champ du rapport.


Categories et champs

CATEGORIES & CHAMPS

Les catégories de la nomenclature

Une catégorie est un groupe de composants de même type. La désignation est faite dans ISIS par le préfixe de référence utilisé pour les composants. Par exemple le préfixe des résistances est 'R' (R1, R23, R54, etc), 'C' pour les condensateurs et ainsi de suite. Chaque catégorie possède sa section dans la liste résultante.

Le préfixe est spécifié lors de la création du composant, dans la première boite de dialogue.

Il est donc possible d'ajouter des catégories en relation avec des préfixes du schéma ou de créer des nouvelles catégories en modifiant l'annotation existante avec un nouveau préfixe. Cette manipulation est expliquée dans les exemples ci-dessous.

Ajouter, éditer et ordonner

Pour ajouter une catégorie au rapport
  1. Dans la partie gauche du module 'nomenclature', cliquez sur le bouton 'Ajout' placé sous les catégories.

  2. Entrez le nom de la catégorie et le ou les préfixes qui lui correspondent. Par exemple, un entête Connecteurs pourra être associé au préfixe 'J'.

  3. Cliquez sur OK pour fermer la boite de dialogue. La nouvelle catégorie apparaîtra en bas de la liste
Pour modifier l'ordre des catégories

La liste des catégories à gauche fixe l'ordre de présentation du rapport. Pour le modifier:

  1. Sélectionnez la catégorie à déplacer en cliquant sur elle dans la liste.
  2. Utilisez les touches HAUT et BAS du clavier pour changer la position dans la liste.
  3. L'actualisation devrait se faire en temps réel dans la zone de visualisation.

Pour supprimer des catégories sans composants

Vous pouvrez supprimer les catégories vides en cochant la case 'Supprimer catégories vides' placée sous la zone d'édition.

Pour supprimer une catégorie de la nomenclature

Vous pouvez supprimer une catégorie de la façon suivante:

  1. Cliquez sur la catégorie à supprimer dans la liste
  2. Utilisez le bouton 'Supprimer' du clavier.
  3. Tous les éléments associés à cette catégorie seront placés dans la catégorie 'Divers' (Miscellaneous).

La catégorie 'Divers (Miscellaneous) ne peut pas être supprimée.

Champs de la nomenclature

Un champ correspond à une colonne du rapport auquel est associée une propriété du schéma. C'est le mécanisme qui permet d'enrichir le rapport.

1) Ajout (ou création) d'un champ : ceci ajoute une colonne au rapport qui est reliée à la propriété du composant dans ISIS.

2) Utilisez l'éditeur de propriété pour indiquer la propriété basée sur les composants du schéma (par exemple composant ROHS).

3) Affectez la donnée aux composants du schéma, ce qui mettra à jour le rapport.

L'illustration de ce qui vient d'être présenté est également mise en pratique dans les guides.

Information sur le placement de composants

Il existe un champ spécial 'placé' qui indique sur quel côté de la carte se trouve un composant. Pour ajouter cette propriété:

1) Ajouter un champ et sélectionnez la propriété '.placed' dans la liste déroulante.

2) Les informations de placement seront affichées dans la nomenclature, mais ne seront pas éditables.

Les changements opérés dans ARES ne mettent pas à jour automatiquement la nomenclature. Si le module Nomenclature est ouvert lorsque vous éditez votre placement sur le circuit, vous devez la relancer manuellement en utilisant la commande 'Editer' une fois votre placement terminé.

Notes

Les notes vous permettent d'ajouter du texte en format libre au rapport. Vous pouvez lancer l'éditeur de notes depuis la partie inférieure gauche de module de nomenclature.

La modification du style d'édition des notes est possible en éditant les styles.


Propriétés

PROPRIETES

Les principes

Une propriété dans ISIS est une affectation d'une valeur à une variable nommée. Vous pouvez créer vos variables puis leur appliquer des valeurs pour chaque composant. La forme d'affectation la plus simple est:

<variable> = <valeur>

et un exemple concret pourrait être:

Fournisseur = Digikey

Il est également possible d'associer une description à une variable. Par exemple la description de

MoQ = 50

serait de 'Minimum Order Quantity' (quantité minimale de commande), qui se retrouverait dans la boite de dialogue du composant:

En définitive, le principe est d'ajouter de l'information dans les composants du projet sous la forme de propriétés qui se retrouveront dans des champs de la nomenclature. L'éditeur de propriétés est une interface qui simplifie le processus de définition.

L'éditeur de propriétés

L'éditeur de propriétés contient un tableau avec les composants du schéma (ligne) et les propriétés/champs (colonnes). Vous pouvez affecter des valeurs aux propriétés dans ce tableau, ajouter des propriétés puis appliquer les modifications au schéma. Toutes les données seront appliquées à la vue HTML et au rapport final.

Nous vous conseillons de vous référer aux exemples pratiques indiqués ci-dessous.

Notez que les propriétés ajoutées et les modifications apportées ne s'appliquent qu'au projet courant. Si vous souhaitez préserver ces ajouts pour d'autres projets, il faudra les sauvegarder en bibliothèque. La manière la plus rapide de procéder est d'utiliser la commande 'Compiler en bibliothèque' du menu 'Bibliothèques' d'ISIS. Ceci sauvegardera tous les éléments du schéma dans la bibliothèque de votre choix accessible en écriture.

Voir également:

Exemples: Ajouter des propriétés et entrer des données

Propriétés système et propriétés utilisateur

Proteus réserve certaines propriétés pour son usage interne. Ces propriétés sont appelées 'propriétés système'. La plupart de ces propriétés ne concernent pas la nomenclature, sauf certaines telle que la propriété PACKAGE qui est utilisée pour identifier l'empreinte associée à un composant du schéma.

Une propriété système est positionnée en lecture seule dans la nomenclature bien que vous puissiez en modifier les valeurs grâce à l'éditeur de composants.

Toutes les propriétés que vous créez sont des propriétés utilisateur et toutes les propriétés utilisateur peuvent être éditées. Voici des exemples de propriétés : Cout, Fournisseur, RoHS, Fabricant et Notes.

Voir également:

Exemple: Ajouter une propriété

Exemple: Assigner des valeurs à une proriété

Les éléments de la nomenclature

Il est assez commun que plusieurs éléments de la nomenclature fassent référence à un même élément du schéma. L'exemple suivant vous explique comment ajouter et supprimer des composants dans la nomenclature.

Partons du postulat que votre schéma inclut un transformateur; nous voulons ajouter quatre boulons dans la nomenclature. Tout d'abord, allez dans l'éditeur de propriétés de la nomenclature et sélectionnez le bouton 'Nouveau' situé dans la partie supérieure.

Il faut commencer par identifier le composant 'parent'. Tous les éléments de la nomenclature doivent être associés à un composant du schéma, le système de propriétés étant basé sur les composants. Dans notre cas, nous allons sélectionner le transformateur comme composant 'parent'.

Par défaut, le transformateur se trouve dans la catégorie 'Divers' parce que son prefixe (TR) n'est pas défini. Si vous voulez créer une catégorie 'Transformateurs', vous pouvez le faire en ajoutant une catégorie avec le prefixe 'TR' comme dénominateur commun.

Ensuite, spécifiez le numéro des éléments additionnels, le préfixe de référence pour ces nouveaux éléments et la valeur (nom).

Appuyez sur le bouton 'Créer' pour ajouter les éléments à la nomenclature, puis sur le bouton 'Fermer' pour quitter la boite de dialogue. Vous pouvez désormais voir les quatre boulons apparaître dans l'éditeur de propriétés ainsi que dans le rapport de nomenclature.

Le processus de suppression d'éléments de la nomenclature est quasi identique. Cliquez sur le bouton 'Supprimer' en haut de l'éditeur de propriétés; filtrez par l'élément 'Parent', puis sélectionnez l'élément de la nomenclature que vous voulez supprimer et cliquez sur le bouton 'Supprimer'.

Voir également:

Exemple: Ajouter des éléments pour la nomenclature d'un composant

Note (utilisation avancée) :

Une fois votre élément de nomenclature créé, vous verrez une ligne relative à cet élément s'ajouter en bas de la boite de dialogue d'édition des composants. En supprimant ce champ, vous supprimerez également les éléments correspondants de la nomenclature ; En l'éditant, vous ferez apparaître ces éléments dans le rapport de nomenclature.

Le format de la chaîne de caractères est :

BOMPART=QTY,REF,VALUE[,PROPNAME=PROPVAL,...]

Ici, le nom de la propriété commencera par ‘BOMPART’. ‘BOMPART’, ‘BOMPART1’, etc. sont tous des noms de propriétés valides.

Le paramètre QTY fait référence au nombre d'éléments à ajouter. Généralement ce sera le nombre '1', mais tous les valeurs sont possibles.

Le paramètre REF correspond au préfixe de référence donné aux nouveaux éléments de la nomenclature. Si d'autres éléments existent déjà avec ce préfixe, alors les éléments nouvellement créés viendront s'ajouter à cette liste. Les éléments sont toujours groupés par catégories en fonction de leur préfixe, qu'ils soient nouveaux ou anciens; par conséquent, si vous voulez que les éléments nouvellement créés apparaissent dans une section particulière du rapport de nomenclature, vous devrez ajouter une catégorie spécifique supplémentaire.

Le paramètre VALUE correspond à la valeur du nouvel élément. C'est le synonyme du 'nom' que vous voulez donner à votre élément (par ex. FUSEHOLDER).

Les termes PROPNAME=PROPVAL sont optionnels et vous permettent de spécifier des propriétés à vos nouveaux composants. Par exemple, si votre rapport contient un champ COST, pour afficher ce champ COST, vous devrez ajouter la chaîne de caractères tellel que ‘COST=0.11’.

Contrôler le contenu de la nomenclature depuis le schéma

Les informations qui contribuent au rapport de la nomenclature proviennent du schéma. Chaque composant génère une ligne et chaque propriété du composant génère une colonne du rapport.

L'éditeur de propriétés de la nomenclature permet de modifier une valeur. Cependant il est également possible de modifier directement la valeur au niveau du schéma, ce qui mettra automatiquement à jour la nomenclature.

Par exemple, si le composant possède la propriété COST, vous pourriez soit:

  • Utiliser l'éditeur de propriétés pour changer la valeur.
  • Editer le composant du schéma pour changer la valeur.

Il existe une situation dans laquelle vous avez besoin de contrôler le contenu de la nomenclature à partir du schéma lorsque vous ne souhaitez pas qu'un composant soit présent dans le rapport de nomenclature. C'est habituellement le cas lorsque vous créez une variante d'un circuit dans lequel un élément n'est pas présent (par exemple un circuit moins cher dans lequel un connecteur USB n'existe pas). Dans ce cas, ilsuffit d'éditer le composant du schéma et de cocher la case 'Exclure de la nomenclature'.

Voir également:

Exemple: Exclure un composant du rapport de nomenclature

Les liens de la nomenclature

Pour de nombreux utilisateurs, il est utile de créer un lien entre des éléments de la nomenclature et une page web. Les liens sont disponibles via la boite de dialogue d'édition des champs et peuvent être activés ou désactivés pour chaque colonne du rapport de nomenclature.

Il est possible de visualiser les liens via le bouton 'Voir les liens' en haut de l'éditeur de propriétés.

Une fois visibles, les liens sont édités de la même façon que les autres propriétés.

Voir également:

Exemple: AJouter un lien vers le site Internet d'un fournisseur

Exemple: Ajouter un lien d'achat pour un cimposant particulier


BOM Part Creator

Ajouter des composants exterieurs a la nomenclature

Généralités

Les élements de la nomenclature ne sont pas physiquement présents sur le schémas, mais sont associés aux composants du schéma. Par exemple, un élément de la nomenclature peut être un boulon qui va servir à fixer un transformateur présent sur le schéma. La boite de dialogue vous permet donc d'ajouter ce type d'éléments au rapport de nomenclature.

Un élément de la nomenclature est toujours associé à un composant physique sur le schéma.

Options

Composant Parent

Specifie le composant du schéma qui est associé à un élement de la nomenclature. Par exemple, pour un élément 'boulon' dans la nomenclature, le composant parent peut être un transformateur.

Quantité

Specifie le nombre d'éléments requis.

Prefixe de référence

Les préfixes de référence sont utilisés pour indiquer les catégories des composants (par ex R pour résistances) et permettent de regrouper les différents éléments de la nomenclature.

Valeur

Le champ 'valeur' peut être le nom d'un élément (par ex. boulon) ou contenir d'autre information qui identifie cet élément (dimensions ou poids).


BOM Part Remover

Supprimer un composant de la nomenclature

Généralités

Lorsqu'un composant de la nomenclature n'est pas physiquement présent sur le schéma, il est nécessaire de le supprimer du rapport de nomenclature à partir de la boite de dialogue.

Options

Composant Parent

Permet de spécifier le composant du schéma qui correspond au(x) composant(s) de la nomenclature que vous voulez supprimer.

Composant de la nomanclature

Permet de sélectionner le composant de la nomenclature qui doit être supprimé.

Bouton 'Supprimer'

Supprime le composant sélectionné de la nomenclature. Pour les composants multi-éléments, vous devez répéter l'opération pour chaque élément du composant.


Présentation et styles

PRESENTATION ET STYLES

Il est possible de configurer les couleurs, polices, en-tête/bas de page ainsi que le logo de la nomenclature en adaptant la feuille de style.

Les modifications apportées sont immédiatement visibles à l'écran et le seront également dans les formats de présentation (sortie HTML & sortie PDF) lorsque les rapports seront générés.

Entête et pied de page

Un entête et un bas de page peuvent être ajoutés et configurés à partir de la meme boite de dialogue.

Edition de l'entête et du bas de page dans le rapport de nomenclature.

Cette boite de dialogue est quelque peu similaire à l'application Word. Les principales options sont les suivantes:

Zoom :

Clipboard:

Pour couper, copier, coller.

Police:

Selection du style de police et de la taille du texte.

Decoration:

Correspond aux attributs du texte: gras, italique, souligné.

Couleur:

Couleur de votre texte.

Justification:

Permet de posiitonner le texte.

Insertion d'image:

Règles, encoches et tabulations

Vous pouvez positionner votre entrête/pied de page en utlisant les règles qui se trouve en haut et en bas de votre page.

Sur l'image ci-dessous, les descriptions suivantes sont représentées par un numéro:

1) Alinéa Paragraphe

L'alinéa paragraphe vous permet de positionner le texte d'un paragraphes sur la droite.

2) Alinéa suspendu

l'alinéa suspendu vous permet de positionner à l'endroit désiré la première ligne d'un paragraphe.

3) Tabulateur

Le tabulateur vous permet de séparer le contenu d'une ligne.

Configuration des largeurs de colonne

Le module de la nomenclature définit automatiquement les largeurs des colonnes du tableau afin de les ajuster au mieux à la page. Toutefois, vous pouvez modifier les largeurs de colonne manuellement de trois façons:

1) Changer l'orientation ou la taille de votre page.

2) Changer la taille de la police.

3) Définir une valeur en pourcentage pour chaque colonne en utilisant l'options 'fonctions avancées' qui se trouve dans le menu GENERALITES du module de nomenclature.

Editer le style du rapport de nomenclature

L'édition du style du rapport demande quelques connaissances en HTML ou CSS.

L'édition de l'entête et du pied de page est assez similaire.

La procédure est la suivante:

  1. Cliquez sur le bouton d'édition de l'entête et du pied de page.

  2. Selectionnez la police, la couleur et le style souhaités à partir de la boite de dialogue.

  3. Clicquez sur la zone d'édition et tapez votre texte.

Si vous voulez ajouter le logo de votre société, vous devez suivre la même procédure, mais en cliquant sur l'icône 'Image' à la place.

Voir également:

Exemple: Customiser l'entête avec une image.

Le corps du rapport de nomenclature est constitué d'une série de styles CSS qui contiennent les informations sur les polices, couleurs, espaces, etc. utilisés. Ces informations sont éditables à partir de la boite de dialogue d'édition des styles.

Sélecteur de styles

Cette boite de dialogue contient une liste de tous les styles utilisés dans le rapport.

Cet onglet permet de modifier le style de la police dans sa globalité.

Onglet 'Espace et alignement'

L'onglet 'Espace et Alignement' offre un contrôle de base pour l'alignement vertical et horizontal du texte des cellules du tableau. Vous pouvez également contrôler les marges entre les cellules.

Onglet 'Arrière-plan et bordures'

L'onglet 'Arrière-plan et bordures' vous permet d'ajouter une bordure autour de votre texte ou de spécifier une couleur d'arrière-plan pour la cellule.


LES STYLES CSS

L'image suivante vous présente comment éditer les styles CSS de la nomenclature.

Tous les styles CSS sont accessibles à partir du bouton 'Editer les styles' situé en haut du panneau de contrôle de la nomenclature.

Les principales zones de police éditables

Cellules éditables

Les zones de cellules éditables sont mis en surbrillance ci-dessous.

Voir également:

Présentation et Style

Personnalsier une feuille de styles


EXEMPLES CSS

Personnaliser les styles CSS et la présentation

Les exemples décrits ci-dessous montrent comment configurer les différentes zones du rapport de nomenclature dans un style global cohérent pour une sortie présentable.

Voir également:

Présentation de la nomenclature

Diagramme de référence des styles CSS

Ajouter un entête personnalisé

1) Lancer la boite de dialogue Entête/Pied de page en cliquant sur le bouton situé dans la partie supérieure du panneau de contrôle.

2) Editez le style du texte, la taille et la couleur.

3) Insérez directement votre image en la faisant glisser sur la zone de texte.

4) Pour ajuster la taille de l'image, positionnez la souris dessus et utilisez le cadre de redimensionnement pour mettre votre image à la taille requise.

5) Cliquez gauche sur l'icône 'Règle' pour placer un tabulateur devant votre image, puis avec la souris, déplacer le tabulateur vers la droite jusqu'à la zone où vous souhaitez placer votre image.

Changer les polices

  1. Cliquez sur le bouton 'Editer les styles' dans la partie supérieure du panneau de contrôle.

  1. Sélectionnez le style que vous souhaitez éditer dans la liste déroulante.

  2. Changez la police, la taille, la typographie, la couleur, etc. à partir de la boite de dialogue ci-dessous. Les changements se feront en temps réel.

Formater l'information sur le projet

Le bloc d'information sur le projet, situé au début du rapport de nomenclature, utilise les données spécifiées dans ISIS. Il convient donc de fournir ces informations qui sont disponibles dans le menu 'Projet'.

  1. Commutez sur l'onglet ISIS puis appelez la commande 'Editer propriétés du projet' du menu 'Projet'.

  2. Les champs Titre, Révision, Auteur sont utilisés dans le rapport, c'est pourquoi il convient de les renseigner.

  3. Validez les modifications.

Vous pouvez utiliser l'éditeur de style pour personnaliser ce bloc.

  1. Cliquez sur le bouton 'Personnaliser les styles' dans la partie supérieure du panneau de contrôle.

  2. Selectionnez votre style d'entête de page.
  3. Allez sur l'onglet 'fond et bordure' pour configurer le type de bordures souhaité (couleur, espacement, etc.). Dans l'exemple ci-dessous, nous avons choisi une bordure visible avec un fond vert clair.

  4. Retournez sur l'onglet 'Styles d'entête' et ajuster la police. Vous avez la possibilité d'ajouter une barre de séparation entre les titres et les valeurs en jouant sur les styles des bordures de cellules.

Formater les titres des catégories

  1. Cliquez sur 'Editer les styles' dans la partie supérieure du panneau de contrôle.

  2. Choisissez le type de police souhaité ainsi que la taille, la couleur, les bordures et le fond.

  3. Dans l'onglet 'Espacement et alignement', vous pouvez également décider de la distance entre les titres de catégorie et le contenu du paragraphe.

Formater les données

  1. Cliquez sur 'Editer les styles' dans la partie supérieure du panneau de contrôle.

  2. Naviguez dans la liste déroulante de la boite de dialogue d'édition des styles et choisissez l'option ' Odd Row Heading'. Effectuez vos changements en terme de police, taille de police, espacement, bordures, etc.

  3. Procédez de la même façon avec l'option 'Even Row Entry' afin de différencier une ligne sur deux de votre tableau, comme montré ci-dessous:

  4. Choisissez ensuite l'option 'Field Heading' pour changer le style des titres de colonnes.

  5. Faites de même avec le sous-total.


Exemples de propriétés

EXEMPLES DE PROPRIETES

Créer, éditer et appliquer des données utilisateur

Ce paragraphe contient un ensemble d'exemples pratiques sur la façon d'utiliser l'éditeur de propriétés. Il couvre la création de nouvelles propriétés, l'édition et l'affectation de données ainsi que la configuration du rapport de nomenclature.

Voir également:

Propriétés et édition de propriétés

Champs

Ajouter une propriété au tableau

Lorsque vous souhaitez ajouter une nouvelle information relative à votre projet dans le rapport de nomenclature, vous pouvez le faire en ajoutant/créant des propriétés aux éléments du schéma, puis en affichant les valeurs dans les champs du rapport.

Pour ajouter une propriété au tableau

A gauche de la fenêtre 'nomenclature' (BOM), cliquez sur le bouton 'Ajout' sous le groupe 'Champs' (Fields).

Choisissez la propriété à ajouter depuis la liste déroulante. Si celle-ci n'existe pas, utilisez le bouton 'Nouveau' pour la créer.

Lors d'une création de propriété, une boite de dialogue apparaît afin de compléter les informations relatives à la propriété.

Entrez un titre pour l'entête de colonne. C'est la description qui apparaîtra en haut de la colonne du rapport.

Le prochain groupe d'options permet d'ajouter automatiquement un préfixe et un suffixe. Les préfixes usuels sont les symboles de monnaies ($,£,€) et les suffixes des unités de mesure. Pour le champ RoHS, par exemple, le préfixe et le suffixe sont vides.

Le dernier groupe d'options valide un sous-total et un total pour ce champ. Le candidat naturel serait une propriété coût. Dans notre cas, nous laissons le champ vide.

Lorsque nous refermons la boite de dialogue, le nouveau champ apparaît dans la liste.

Les composants du schéma possèderont, à présent, la propriété ROHS dont la valeur sera visualisée dans la nomenclature. Il faut à présent renseigner sa valeur pour les composants.

Ajouter des données au tableau

Après la création de la propriété, son contenu est vide. Le tableau ci-dessous affiche la valeur de la propriété en provenance du schéma et vous permet de modifier ces valeurs qui mettront à jour celles du schéma.

Pour modifier une valeur d'un composant

Repérez le composant grâce aux colonnes non éditables à gauche du tableau (Catégorie, Réf, Valeur).

Cliquez gauche dans la colonne qui vous intéresse et entrez la valeur pour le composant.

Cliquez sur 'Appliquer modif' pour mettre à jour le schéma. Une boite de dialogue confirmera les changements - cette action peut prendre plusieurs secondes selon la taille de votre schéma et le nombre de modifications.

A présent, si vous éditez le composant du schéma, vous constaterez que la propriété et sa valeur ont été mises à jour.

Pour modifier une valeur pour un groupe de composants

En premier lieu il convient d'identifier le groupe de composants. Si ceux-ci possèdent des propriétés identiques, il faut cocher la case 'grouper composants'. Dès lors, vous pourrez entrer une valeur qui s'appliquera à tous les composants du groupe.

Il est également possible d'ordonner le tableau par un clic dans la colonne 'Catégorie'. Cette action permet d'affecter séquentiellement des valeurs plus rapidement. La façon la plus rapide de faire ceci est la suivante:

Cliquez gauche sur le champ à éditer. Dans notre cas, appliquer YES (oui) dans le champ RoHS pour toutes les résistances du schéma.

Cliquez gauche sur le champ YES et déplacez-le vers le bas (le curseur changera) pour affecter la valeur aux autres éléments de la colonne. Relachez le bouton gauche pour terminer. Ceci fonctionne de manière similaire au tableur MS Excel.

Cliquez sur 'Appliquer modif' pour reporter les modifications aux composants du schéma.

Pour donner une valeur à tous les composants

Pour associer une valeur à tous les composants, il n'est pas nécessaire de les grouper ou de les ordonner. Il existe une façon plus simple si la colonne est vide. Vous lancez la commande 'Chercher/Remplacer':

Souvenez-vous de limiter le remplacement à la colonne courante (case à cocher).Si la colonne est déjà partiellement remplie, vous pouvez procéder pas à pas.

Cliquez sur 'Appliquer modif' pour reporter les modifications aux composants du schéma.

Pour effacer une valeur ou un groupe de valeurs

La façon la plus simple est également d'utiliser la boite de dialogue Chercher/Remplacer avec une valeur de remplacement vide.

Vous pouvez aussi grouper manuellement une colonne, associer une valeur vide et glissez la valeur vide vers les autres éléments, comme dans MS Excel.

Contrôler la nomenclature depuis le schéma

Si vous souhaitez qu'un composant intervienne plus d'une fois dans la nomenclature ou qu'un composant ne soit pas dans la liste, vous devrez éditer ce composant directement dans le schéma.

Pour ajouter des éléments à un composant dans la nomenclature

Dans l'éditeur de propriétés de la liste du matériel, cliquez sur le bouton 'NOUVEAU' dans la partie supérieure droite du module.

Spécifiez le composant 'Parent' comme TR1 et remplissez les autres champs, comme ci-dessous:

Si vous voulez voir apparaître le cout ou la longueur de votre composant dans la liste du matériel, vous devrez ajouter les champs correspondants, comme COST et/ou LENGTH. De la même façon, si vous voulez grouper tous les boulons dans une même catégorie, vous devrez ajouter une catégorie pour la référence BL. Voici ci-dessous la ligne de la liste de matériel correspondante à nos boulons:

Pour indiquer qu'un composant ne doit pas être présent dans la nomenclature

Si vous ne voulez pas qu'un composant du schéma apparaisse dans le rapport de nomenclature, vous devez le spécifier. Pour cela, double-cliquez (ou clic droit et sélectionnez 'Editer propriétés') sur le composant du schéma concerné.

Ensuite, cochez la case 'Exclure de la nomenclature' dans la boite de dialogue d'edition des composants.

Cliquez sur OK pour valider et fermer la boite de dialogue.

Utiliser les liens dans la nomenclature

Pour ajouter un lien vers le site Internet d'un fournisseur

Si vous n'avez pas de propriété spécifique pour votre fournisseur, ajoutez-en une.

Utilisez la technique décrite dans Ajouter des données à une grille pour remplir la colonne avec les informations du fournisseur.

Sélectionnez le champs dans le panneau de contrôle, puis cliquez sur le bouton 'Editer' en vous assurant que la case 'lien externe valide' est bien cochée.

SI la case 'Voir liens' est bien cochée, vous devriez voir apparaître une nouvelle colonne pour les liens vers les sites Internet de vos fournisseurs.

Vous pourrez également cliquez sur ces liens à partir du rapport de nomenclature ou de votre fichier PDF.

Ajouter un lien Internet vers une page 'produit'

Selectionnez le champs 'Référence produit', puis cliquez sur le bouton 'editer' et veillez à ce que la case 'Liens externes valides' soit bien cochée.

Copiez-collez directement le lien à partir de la page 'poduit' correspondante dans le champs 'liens vers pages produit' et cliquez sur le bouton 'Appliquer chamngements'.

Vous pourrez également cliquez sur ces liens à partir du rapport de nomenclature ou de votre fichier PDF.


Advanced Settings

ADVANCED BOM SETTINGS

Overview

This dialogue form provides some additional control over column layout and other miscellaneous items.

Pretty Output

Changes made here refer primarily to the WSIWYG view and the PDF output. You can choose to manually specify column widths and then enter a percentage of the screen width (paper size) for each column. The idea here is that you start on the left column and work to the right, adjusting values as you go.

The system will not allow you to sum percentages over 100% and will compensate by adjusting columns to the right of the one you are working on. The last column is generated as the remainder after subtracting the sum of the other columns from the total width.

ASCII Output

Changes made here affect the ASCII Output and works to the same principle as for the Pretty Output. The main difference is that column widths are determined in number of columns rather than percentage of page size.

Data Outputs

Settings here apply to both ASCII and CSV outputs and are intended to maintain compatibility with third party parsers developed for older versions of Proteus.


CATEGORY EDITOR

Overview

A BOM Category is basically a group of components which are designated to be of the same type. The designation is made by the reference prefix of the parts in ISIS. For example, Resistors have prefix 'R' (R1, R23, R54, etc), Capacitors have designator 'C' and so on. In the Bill of Materials each category then forms a different section of the report and this dialogue allows the adding and editing of categories.

Options

Simply enter the name for the category and the prefix or prefixes to match. For example, a heading of Connectors would match reference 'J'.

Note:

The designator is specified at the point of Make Device and can be set in the first page of the Make Device dialogue form.


FIELD EDitor

Overview

A BOM field is basically a column in the Bill of Materials report which is linked to a property on the schematic components. It provides the mechanism by which you add information about schematic parts to the report. This dialogue allows for the addition and configuration of BOM fields.

Options

Component Property Name

Select a property that already exists in the system (e.g MoQ). Refer to the main help topic on properties for more information.

New Button

Create a new property that is not configured in the system (e.g. Fallback Supplier).

Title for Column Heading

Enter a text string which will appear in the BOM report as the name of the column (e.g. Minimum Order Quantity).

External Links Enabled

Allows you to make the property clickable to a destination URL. See the main help topic on BOM Links for more information.

Prefix

Automatically apply a prefix (e.g. $) to column entries.

Suffix

Automatically apply a suffix (e.g. mm) to column entries.

Apply Prefix and Suffix to Empty Values

Apply the specified prefix and/or suffix to cells with no entry.

Field Width Limit

Specify a maximum width for the column.

Output Sub-totals

Output sub-totals for the column (assuming the type is numerical).

Floating Point Precision

Specify a floating point precision for totals in summed columns.


FIND AND REPLACE

Overview

This dialogue allows quick searching and data entry for the BOM report via a fairly typical find and replace form.

Options

Find

Enter the text to be searched for.

Leaving this blank, filling out the replace field and selecting current column option provides a fast way to populate the report with data (e.g. an RoHS compliant column would be largely filled with YES entries)

Replace

Enter the text to be entered and then either replace one at a time or all at once.

Current Column Only ?

Either constrain the replace to the current column or enable for the entire report.

Case Sensitive ?

Specify whether the search operation should include case when determining a match.


IMPORT LEGACY TEMPLATE

Overview

This dialogue form helps automate the process of porting legacy (Version 7 and earlier) BOM Templates into Version 8.

Location

The first job is to locate the legacy BOM Templates. This can either be by in the registry or - if you exported from Version 7 - as a file on disk.

1) Select the location.

2) Enter the path or browse to the path if a file.

3) Press Reload when complete.

4) Templates will appear in the combo boxif successfully found.

Importing

Having located the legacy scripts you now need to name and import them individually. So:

1) Select a legacy template from the combo box.

2) Enter a name for the template.

3) Press the import button to bring the template into V8.

4) Select another legacy template from the combo box.

5) Repeat the process.


NOTES EDITOR

Overview

This free format text field allows for the additional of a small amount of notes to the Bill of Materials Report. For larger amounts of text or more complex documents you should use Project Notes and then append the Project Notes content to the Bill of Materials PDF.


Physical Property Creator

Overview

This dialogue form provides a quick way to create a new physical property which will then be understood by the BOM report and the Edit Component dialogue form in ISIS. It follows that you can make up and add whatever you need to the BOM report.

To fully configure or delete physical properties you need to go to the Default Property Definitions dialogue in the ISIS System Menu.

Options

Property Name

Enter a shorthand name for the Property (no spaces, no braces, no slashes).

Property Description

Enter a textual description for the property. As an example, you may have property name as SECSUPP with property description as Secondary Supplier.

Type

Specify a type for the Property from the combo-box.